afflib (3.7.22-1deepin1) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * New upstream version 3.7.22. (Closes: #1084452)
  * debian/control: changed from libfuse-dev to libfuse3-dev
    in Build-Depends field. (Closes: #1084452)

  [ VZstless ]
  * revert t64 from source

 -- VZstless <vzstless@qq.com>  Thu, 13 Nov 2025 17:23:20 +0800

afflib (3.7.21-1) unstable; urgency=medium

  * New upstream version 3.7.21.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/libafflib0t64.lintian-overrides: no longer needed. Removed.
  * debian/tests/verify-version.sh: added an alternative test for afflib
    because it doesn't have a -v or -V option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Apr 2025 13:30:52 -0300

afflib (3.7.20-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Added packaging rights for Steve Langasek.
      - Updated packaging copyright years.
  * debian/libafflib0t64.lintian-overrides: updated.
  * debian/libafflib0t64.symbols: set two symbols as optional to avoid a FTBFS
    with glibc >= 2.38. Thanks to Steve Langasek <steve.langasek@ubuntu.com>.
    (Closes: #1066140)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 May 2024 00:57:52 -0300

afflib (3.7.20-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061873

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:12:31 +0000

afflib (3.7.20-1) unstable; urgency=medium

  * New upstream version 3.7.20.
  * debian/copyright:
      - m4/ax_pthread.m4:
          ~ Renamed from m4/acx_pthread.m4.
          ~ Changed licensing from GPL-3+ to GPL-3+ with Autoconf exception.
          ~ Added new copyright holders.
      - Converted the last paragraph of the LGPL-2.1 and GPL-3 in a comment.
      - Updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 28 Dec 2022 13:10:05 -0300

afflib (3.7.19-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/rules: disabled (now tested in experimental) optimize=+lto
    (see #1015350).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 Sep 2022 23:53:28 -0300

afflib (3.7.19-3) experimental; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/libafflib0v5.symbols: set some symbols as optional to avoid a FTBFS
    with LTO (link time optimization) enabled. (Closes: #1015350)
  * debian/rules:
      - Enabled (temporarily) optimize=+lto to test LTO (see #1015350).
      - Replaced override_dh_auto_install by execute_after_dh_auto_install.
  * debian/salsa-ci.yml: added allow_failure to reprotest until the issue
    isn't solved.
  * debian/tests/control: removed an inefficient test.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Sep 2022 20:55:08 -0300

afflib (3.7.19-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 08:37:58 -0300

afflib (3.7.19-1) unstable; urgency=medium

  * New upstream version 3.7.19.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Jul 2020 22:17:26 -0300

afflib (3.7.18+git20200706.10c91c7-1) experimental; urgency=medium

  * New upstream version 3.7.18+git20200706.10c91c7. (Closes: #964066)
  * debian/tests/control: added a new test, using CI tests from upstream.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Jul 2020 09:18:59 -0300

afflib (3.7.18+git20200701a.e386977-1) experimental; urgency=medium

  * New upstream version 3.7.18+git20200701a.e386977.
  * The upstream fixed the segfault and no longer relies in /usr/share/dict/.
    Consequently:
      - debian/control: removed wamerican-small from Build-Depends field.
      - debian/patches/010_fix-FTBFS.patch: removed.
      - Closes: #964065

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 01 Jul 2020 03:59:36 -0300

afflib (3.7.18-9) unstable; urgency=medium

  * This revision is a temporary workaround to fix a FTBFS in s390x, ppc64
    and sparc64, caused by a segfault in affsign (see #964065). Consequently:
      - debian/control: added wamerican-small to Build-Depends field. The
        tools/test_signing.sh uses files from /usr/share/dict/ to create a
        test file. Today was asked to upstream to change this behaviour.
      - debian/patches/010_fix-FTBFS.patch: created to disable
        tools/test_signing.sh.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 30 Jun 2020 23:57:37 -0300

afflib (3.7.18-8) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Added openssl to Build-Depends field, needed to upstream tests.
      - Migrated DH level to 13.
      - Set 'Multi-Arch: same' in libafflib-dev and libafflib0v5.
  * debian/manpage/: removed because the upstream already incorporated all
    manpages some time ago.
  * debian/not-installed: fixed the path of libafflib.la.
  * debian/README.source: no longer needed. Removed.
  * debian/rules:
      - Re-enabled dh_auto_test.
      - Removed no longer needed lines from override_dh_auto_install because
        the .la file is no longer installed since 3.6.15-1 revision.
      - Removed reference to --as-needed because this option is default since
        Bullseye.
  * debian/salsa-ci.yml: removed the restriction for reprotest, working fine
    now.
  * debian/tests/control: added restriction superficial.

  [ Debian Janitor ]
  * Drop unnecessary dependency on dh-autoreconf.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 29 Jun 2020 21:14:37 -0300

afflib (3.7.18-7) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Apr 2020 22:34:19 -0300

afflib (3.7.18-6) experimental; urgency=medium

  * debian/libafflib0v5.symbols: adapted for new GCC 10 (added 'optional' for
    some symbols). This action solves #956984.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 17 Apr 2020 13:36:51 -0300

afflib (3.7.18-5) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/not-installed: created to list a .la file.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Feb 2020 12:07:48 -0300

afflib (3.7.18-4) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]

  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright: added packaging rights for Gianfranco Costamagna and
    Samuel Henrique.
  * debian/salsa-ci.yml: added allow_failure to reprotest when the issue
    isn't solved.

  [ Samuel Henrique ]
  * Add salsa-ci.yml.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 27 Oct 2019 19:32:27 -0300

afflib (3.7.18-3) unstable; urgency=medium

  * Team upload.
  * Add some symbols that appears only on ppc64el when built with -O3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2019 10:03:00 +0200

afflib (3.7.18-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Jul 2019 12:05:45 -0300

afflib (3.7.18-1) experimental; urgency=medium

  * New upstream version 3.7.18.
  * debian/copyright: updated packaging and upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Jul 2019 10:21:04 -0300

afflib (3.7.17-5) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/libafflib0v5.symbols:
      - Added a Build-Depends-Package field.
      - Removed a symbol to fix a FTBFS. Thanks to Santiago Vila
        <sanvila@debian.org>. (Closes: #923959)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 07 Mar 2019 14:59:10 -0300

afflib (3.7.17-4) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 29 Sep 2018 23:20:47 -0300

afflib (3.7.17-3) experimental; urgency=medium

  * debian/libafflib0v5.symbols: set some symbols as optional to avoid a FTBFS
    in some architectures.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 29 Sep 2018 13:23:13 -0300

afflib (3.7.17-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/libafflib0v5.symbols: set some symbols as optional.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 29 Sep 2018 08:48:56 -0300

afflib (3.7.17-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Updated upstream copyright years.
      - Using a secure copyright format in URI.
  * debian/libafflib0v5.symbols: updated.
  * debian/manpage/affstats.txt: changed option -v to -V to fix manpage.
  * debian/patches/: removed all patches. The upstream fixed the source code.
    Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Sep 2018 21:14:41 -0300

afflib (3.7.16-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/copyright:
      - Added rights for Raphaël Hertzog.
      - Updated packaging copyright years.
  * debian/patches/:
      - Fix-CVE-2018-8050-sanity-check-size-passed-to-malloc.patch: renamed to
        10_Fix-CVE-2018-8050.patch.
      - 20_fix-affstats-option.patch: added to fix the -v option in help page
        and manpage.
      - 30_fix-cross-compilation.patch: fix broken cross compilation branches.
        Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #900668)
  * debian/tests/*: added to perform trivial tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Sep 2018 00:33:21 -0300

afflib (3.7.16-3) unstable; urgency=medium

  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Fix CVE-2018-8050: DoS via a corrupt AFF image (Closes: #892599)
  * Switch debhelper compat to 11.
  * Drop dh-autoreconf build dependency (implicit via debhelper).
  * Bump Standards-Version to 4.1.3.
  * Update symbols file.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 15 Mar 2018 01:13:49 +0100

afflib (3.7.16-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jul 2017 21:51:23 -0300

afflib (3.7.16-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: updated the upstream copyright years.
  * debian/README.source: created to explain about manpages.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jul 2017 09:45:30 -0300

afflib (3.7.15-2) experimental; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.0.0.
      - Removed obsolete dbg binary.
  * debian/libafflib0v5.symbols: fixed symbols to avoid a FTBFS. (see #853301)
  * debian/rules: dropped an override about no longer needed dbg binary.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 24 Jun 2017 18:50:33 -0300

afflib (3.7.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Moved lib/{afflib.h, afflib_i.h, aftimer.h, utils.h} to include/afflib/,
        because the upstream changed the source code.
      - Removed rights for pyaff/pyaff.c, now generated automatically.
      - Updated rights for some files.
      - Updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Jan 2017 16:20:38 -0200

afflib (3.7.13-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Fixed some licensing issues.
      - Grouped some blocks that use the same licensing, to simplify the file.
  * debian/source/options: no longer necessary. Removed.
  * debian/watch: removed the unnecessary opts line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Nov 2016 11:29:45 -0200

afflib (3.7.10-2) unstable; urgency=medium

  * Provided the static library in development package (requested by
    upstream). To do it, enabled --enable-static in debian/rules and
    changed the debian/libafflib-dev.install file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 24 Nov 2016 16:55:09 -0200

afflib (3.7.10-1) unstable; urgency=medium

  * New upstream release. (Closes: 828228)
  * Migrate DH level to 10.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Oct 2016 22:21:49 -0300

afflib (3.7.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog: updated the upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Aug 2016 23:19:19 -0300

afflib (3.7.7+git20160511.4fd23a-2) unstable; urgency=medium

  * Upload to unstable.
  * Reverted to default GCC provided by Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 16 May 2016 08:49:30 -0300

afflib (3.7.7+git20160511.4fd23a-1) experimental; urgency=medium

  * New upstream release.
  * Force temporarily to build using GCC-6.
  * debian/patches/: removed all patches. The upstream
      fixed the source code. Thanks!
  * debian/watch: added a temporary dversionmangle.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 14 May 2016 21:58:23 -0300

afflib (3.7.7-5) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 May 2016 13:55:15 -0300

afflib (3.7.7-4) experimental; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Changed from cgit to git in Vcs-Browser field.
      - Fixed a spelling error in long description.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - Added two patches to fix spelling errors. They are
        10_fix_spelling_errors_in_source_code.patch and
        20_fix_spelling_in_manpage.patch.
      - 30_fix_gcc_warnings_literal-suffix.patch: added to fix some
        specific GCC warnings.
      - 40_fix_gcc_warnings_misleading-indentation.patch: added to fix
        some specific GCC warnings.
  * debian/libafflib0v5.symbols: removed some symbols to be compliant
      with GCC 6. Thanks to Martin Michlmayr <tbm@hpe.com>.
      (Closes: #811966)
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 30 Apr 2016 15:08:34 -0300

afflib (3.7.7-3) unstable; urgency=medium

  * Upload to unstable. (Closes: #803695)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 02 Dec 2015 11:22:46 -0200

afflib (3.7.7-2) experimental; urgency=medium

  * Using a new and unique symbol file (trying a universal format).
  * debian/rules: added override_dh_makeshlibs to provide the right
      package version to dpkg-gensymbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Nov 2015 00:36:45 -0200

afflib (3.7.7-1) unstable; urgency=medium

  * New upstream release.
  * Fixed the debian/libafflib0v5.symbols.sh4 file.
  * debian/control:
      - Fixed a typo in long descriptions.
      - Reorganized the Build-Depends field.
  * debian/copyright:
      - Removed a comment from the first copyright block.
      - Updated the upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 10 Oct 2015 21:27:05 -0300

afflib (3.7.6-6) unstable; urgency=medium

  * Fixed some symbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 12 Sep 2015 23:04:25 -0300

afflib (3.7.6-5) unstable; urgency=medium

  [ Julien Cristau ]
  * Rename library package for new libstdc++6 ABI. (Closes: #790975)

  [ Joao Eriberto Mota Filho ]
  * Thanks to Julien Cristau for all changes and help to make afflib
      compatible with new libstdc++6 ABI.
  * Updated the symbols for arm64, kfreebsd-amd64, ppc64el, m68k, sh4,
      sparc64 and x32.
  * debian/copyright: added Julien Cristau to debian/* block.
  * debian/libafflib0.lintian-overrides: removed. There are symbols
      since 3.7.6-3 revision.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Aug 2015 02:09:04 -0300

afflib (3.7.6-4) unstable; urgency=medium

  * Upload to unstable.
  * Updated all symbols. (Closes: #790975)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 06 Aug 2015 16:11:40 -0300

afflib (3.7.6-3) experimental; urgency=medium

  * Rebuilt using GCC-5.
  * Generated the first symbol (amd64).
  * Upload to experimental to get diffs for all symbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 05 Aug 2015 17:13:10 -0300

afflib (3.7.6-2) unstable; urgency=medium

  * Upload to unstable. Welcome Jessie Stable!
  * Using dh-autoreconf instead of autotools_dev.
  * debian/control:
      - Removed these build dependencies: automake, autoconf, autotools-dev,
        dh-autoreconf and libtool.
      - Removed the relation for autotools-dev.
      - Removed Christophe Monniez from uploaders. (MIA)
      - Removed extra dots from long descriptions. (Closes: #779955)
      - Reorganized the Depends field in afflib-dbg binary.
  * debian/copyright: updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Apr 2015 20:10:40 -0300

afflib (3.7.6-1) experimental; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Nov 2014 08:49:22 -0200

afflib (3.7.5-1) unstable; urgency=medium

  * New upstream release.
  * New upstream, Phillip Hellewell, using an authorized fork in GitHub from
    the previous upstream. This is the new official site.
  * The new upstream had improvements and fixes in source code, including
    several suggestions from Debian. Thanks a lot to Phillip. Consequently:
      - debian/afflib-tools.manpages: removed.
      - debian/clean: removed.
      - debian/control:
          . Added xmount as suggestion to afflib-tools binary (no more support
            to ewf since 2010).
          . Updated the Homepage field.
          . Updated the long description (removed the reference to EnCase, no
            longer supported since 2010).
      - debian/copyright: updated.
      - debian/man: removed all *.1 files. The manpage fonts were kept for
        future needs.
      - debian/patches/: removed all patches.
      - debian/README.source: removed. The package is DFSG compliant now.
      - debian/watch: updated to use the new upstream repository.
  * debian/afflib-tools.docs: added all announce files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 Oct 2014 12:13:18 -0300

afflib (3.7.4+dfsg-3) unstable; urgency=medium

  * Fixed the FTBFS in some architectures. (Closes: #763765)
  * Uploaded to unstable.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Improved the long descriptions.
  * debian/watch: added the Phillip Hellewell fork repository.
      The upstream declared the project as dead but Phillip
      intend to do some extra work to fix issues.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Oct 2014 08:03:41 -0300

afflib (3.7.4+dfsg-2) experimental; urgency=medium

  * Trying to fix the FTBFS in some architectures.
  * debian/afflib-tools.docs:
      - Added doc/FAQ.txt
      - Removed doc/*.txt.
      - Removed debian/README.source
  * debian/copyright: fixed the license of the tools/affuse.c file.
  * debian/libafflib0.docs:
      - Added doc/*.txt.
      - Removed debian/README.source.
  * debian/libafflib0.lintian-overrides: added to explain about
      symbols situation.
  * debian/patches/fix_typos_spellings_in_tools: added fixes to
      tool/affconvert file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Oct 2014 11:34:07 -0300

afflib (3.7.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * New co-maintainer.
  * Added the 'dfsg' suffix (see debian/README.source).
  * Created a manpage for each binary. Consequently:
      - Created the debian/man directory to be the manpages place.
      - Created the afflib-tools.manpages to install the manpages.
  * Updated the DH level from 8 to 9.
  * debian/clean: added to delete files not removed by upstream when
      cleaning.
  * debian/control:
      - Updated the Homepage field.
      - Updated the Standards-Version from 3.9.2 to 3.9.5.
      - Updated the Vcs-* fields to use the canonical URLs.
  * debian/copyright:
      - Updated to 1.0 format.
      - Updated the Source field.
      - Updated all dates and file licenses. Note that now the afflib
        is more 'public domain' that 'BSD-4-clause'. More details in
        COPYING and doc/announce_3.7.txt files. So, changing to
        'public domain' as main license.
  * debian/libafflib0.install: added support to multiarch paths.
  * debian/libafflib-dev.install: added support to multiarch paths.
  * debian/libafflib0.symbols: added to provide symbols to
      libafflib.so.0.0.0
  * debian/patches/:
      - fix_typos_spellings_in_tools: created to fix spelling errors,
        typos and to apply the correct names of the binaries inside the
        source code.
      - fix_affcat_manpage: fix the binary name inside the manpage.
  * debian/README.source: removed the information about patches using
      quilt (no longer necessary) and added a notice about upstream
      tarball repack.
  * debian/source/options: added to ignore some changes in files, made
      by upstream code, when compiling.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues
        pointed by blhc.
      - Updated the override_dh_auto_configure target to allow the
        GCC hardening.
      - Updated the override_dh_auto_install target to work with
        multiarch paths.
  * debian/watch: fixed and improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 29 Sep 2014 18:33:27 -0300

afflib (3.6.15-1) unstable; urgency=low

  * Team Upload

  [ Christophe Monniez ]
  * Merging upstream version 3.6.15.
  * Removing libewf from configuration options as it doesn't exists anymore in
    upstream.
  * Enabling shared linkage (Closes: #616402).
  * Dropping installation of *.a and *.la files in dev.
  * Applying patch from ubuntu (Thanks to Evan Brode)
    (Closes: #620411, #621150).
  * Removing build depends on libewf as upstream dos not support ewf anymore.

  [ Julien Valroff ]
  * Switch to 3.0 (quilt) source package format
  * Bump debhelper compat to 8

 -- Julien Valroff <julien@debian.org>  Sat, 07 Jan 2012 16:43:52 +0100

afflib (3.6.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #620411).

 -- Luk Claes <luk@debian.org>  Tue, 31 May 2011 19:27:22 +0200

afflib (3.6.6-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Imported Upstream version 3.6.6
  * Refreshing patches.
  * Removing quilt dh parameter from rules.
  * Removing patch for afrecover.
  * Removing rule to rename s3 binary which no longer exists.
  * Removing rule that was removing aftest which no longer exists.
  * Bumped standards version to 3.9.1.

  [ Cristian Greco ]
  * debian/control: remove myself from Uploaders.

 -- Michael Prokop <mika@debian.org>  Mon, 21 Feb 2011 22:36:11 +0100

afflib (3.5.12-2) unstable; urgency=low

  * debian/control: don't build-depend on libfuse-dev on the Hurd, as we
    can live without affuse and let the package build on such arch.
  * debian/rules:
    - don't install /usr/bin/aftest as it is just a test program.
    - properly pass '-a' option to dh_strip to ensure it will only work
      on arch-dep packages.
  * debian/patches:
    - 01-fix-afrecover.patch: new patch, make afrecover prints its real name
      to stdout in usage().
    - 99-no_static_ldflags.patch, new patch: drop `-static` from LDFLAGS from
      tools/Makefile.am in order to avoid afflib-tools to be statically
      linked against libafflib.
  * debian/{control,rules}: build-dep on autotools-dev (>= 20100122.1) and
    pass '--with autotools_dev' to dh in order to automatically update
    config.{sub,guess} files.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 18 Jun 2010 13:52:52 +0200

afflib (3.5.12-1) unstable; urgency=low

  [ Christophe Monniez ]
  * New upstream version
  * debian/patches: drop the following patches, fixed upstream (01-
    debian-directory.patch, 02-win32-files.patch, 03-bashism.patch).

  [ Cristian Greco ]
  * debian/rules:
    - drop some tricky changes to reflect upstream fixes.
    - debian/rules: add --as-needed to LDFLAGS.
  * debian/source.lintian-overrides: deleted, this file is no more needed.
  * debian/*.install: remove unneeded leading slashes.
  * debian/control: drop build-deps on libncurses5-dev and libreadline-dev,
    which are not strictly required and causes a mess with reverse
    dependencies.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 12 May 2010 00:20:02 +0200

afflib (3.5.10+dfsg-2) unstable; urgency=low

  * debian/control:
    - add myself to uploaders.
    - sort build-deps and remove now unneeded entries.
    - remove duplicate field Section: in libafflib0.
  * debian/patches:
    - refreshed and modified all patches, then let debian/rules
      calls autoreconf.
    - 03-bashism.patch: added description.
    - 04-tests-disabling: drop patch, and just point dh_auto_test to an empty
      target in debian/rules to disable tests.
    - 04-fix-afdiskprint.patch: new patch, fix afdiskprint command to properly
      detect libexpat at build time.
  * debian/copyright: updated to reflect changes in latest upstream
    version (see #574544).
  * debian/watch: added file.

 -- Cristian Greco <cristian@regolo.cc>  Sat, 10 Apr 2010 12:35:40 +0200

afflib (3.5.10+dfsg-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 3.5.10+dfsg, addressing
    licensing issue. (Closes: #574544)

  [ Michael Prokop ]
  * Explicitly build-depend on quilt (>= 0.46-7~) to make lintian happy.

 -- Michael Prokop <mika@debian.org>  Sat, 03 Apr 2010 00:17:02 +0200

afflib (3.5.7+dfsg-2) unstable; urgency=low

  [ Christophe Monniez ]
  * Adding a patch to neutralize tests.

  [ Michael Prokop ]
  * Bump Standards-Version to 3.8.4 (no further changes).

 -- Michael Prokop <mika@debian.org>  Wed, 24 Feb 2010 00:09:59 +0100

afflib (3.5.7+dfsg-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Fixing test_passphrase bash script.
  * Merging upstream version 3.5.7+dfsg.

 -- Michael Prokop <mika@debian.org>  Fri, 19 Feb 2010 12:31:40 +0100

afflib (3.5.5+dfsg-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 3.5.5+dfsg.

 -- Michael Prokop <mika@debian.org>  Wed, 30 Dec 2009 18:24:46 +0100

afflib (3.5.4+dfsg-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 3.5.4+dfsg.
  * Refreshing quilt patches.

 -- Michael Prokop <mika@debian.org>  Wed, 23 Dec 2009 01:36:29 +0100

afflib (3.5.2+dfsg-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 3.5.2+dfsg.
  * Refreshing quilt patches.
  * Fixing one more bashism.
  * Adding libewf support.

  [ Michael Prokop ]
  * Build-Depend on libreadline-dev instead of libreadline5-dev.
    Thanks to Matthias Klose for the pointer. (Closes: #553717)

 -- Michael Prokop <mika@debian.org>  Thu, 05 Nov 2009 01:13:40 +0100

afflib (3.5.0+dfsg-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 3.5.0+dfsg.
  * Fixing conflicting s3 filename (Closes: #549638).
  * Updating quilt patches.
  * Added a build dependency to a dict needed for tests.
  * Fixed some bashism (Closes: #549814).

  [ Michael Prokop ]
  * Remove config.guess + config.sub from Debian package / git tree.

 -- Michael Prokop <mika@debian.org>  Wed, 21 Oct 2009 09:55:01 +0200

afflib (3.3.6+dfsg-3) unstable; urgency=low

  [ Michael Prokop ]
  * Update copyright information for lib/base64.cpp (thanks to Torsten
    Werner)
  * Remove config.guess + config.sub from Debian package / git tree.

  [ Christophe Monniez ]
  * Fixed VCS fields.
  * Fixed quilt build dependency, thanks to Nobuhiro Iwamatsu (Closes:
    #549281).

 -- Michael Prokop <mika@debian.org>  Fri, 02 Oct 2009 11:15:27 +0200

afflib (3.3.6+dfsg-2) unstable; urgency=low

  * Adding autotools handling in rules that doesn't get done by dh
    automatically.
  * Setting uploaders to Christophe.
  * Updating, sorting and wrapping depends.
  * Updating package to standards version 3.8.3.
  * Simplify autotools handling in rules.

 -- Daniel Baumann <daniel@debian.org>  Wed, 26 Aug 2009 14:10:35 +0200

afflib (3.3.6+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #379643).
  * Rebuild tarball without debian directory, misc and win32 files.

 -- Daniel Baumann <daniel@debian.org>  Tue, 28 Jul 2009 10:49:42 +0200
